Subject: Re: bug#68336: 29.1.90; eww: error when eww-retrieve-command is set to 'sync

From: Juri Linkov <[email-masked]>
Date: Tue, 16 Jan 2024 18:32:02 +0200

> I see the error in my builds of 29 and 30, but not in 28.2.
>
> Example in Emacs 29:
>
>  (setq eww-retrieve-command 'sync)
>  (eww "http://example.com")
>
> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
> So I think the bug is the last line here:
>
>          (apply #'eww-render nil url cbargs))))
>
> Where cbargs evidentially contains the URL already, so it
> should presumably be:
>
>  (apply #'eww-render nil cbargs)

Thanks, I confirm this is the right fix.

Eli, is it ok to fix eww.el on the emacs-29 branch?